Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.hibernate
Class MddToMapping

    java.lang.Object
      org.makumba.db.hibernate.MddToMapping

    public class MddToMapping

extends Object

Field Summary
`(package private) Map<String,Object>` | `columnNames`
`(package private) Set<String>` | `takenColumnNames`
`(package private) SAXTransformerFactory` | `tf`

Constructor Summary
`MddToMapping(DataDefinition dd, org.hibernate.cfg.Configuration cfg, String generationPath, String prefix)`
`MddToMapping(Vector<String> v, org.hibernate.cfg.Configuration cfg, String generationPath, String prefix, NameResolver nr)`

Method Summary
`void` | `generateMapping(DataDefinition dd, org.hibernate.cfg.Configuration cfg)` Creates an xml file for the given DataDefinition and adds it to the configuration resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tf

    SAXTransformerFactory tf

### takenColumnNames

    Set<String> takenColumnNames

### columnNames

    Map<String,Object> columnNames

Constructor Detail

### MddToMapping

    public MddToMapping(Vector<String> v,
                        org.hibernate.cfg.Configuration cfg,
                        String generationPath,
                        String prefix,
                        NameResolver nr)
                 throws TransformerConfigurationException,
                        SAXException

Throws:
  `TransformerConfigurationException`
  `SAXException`

### MddToMapping

    public MddToMapping(DataDefinition dd,
                        org.hibernate.cfg.Configuration cfg,
                        String generationPath,
                        String prefix)
                 throws TransformerConfigurationException,
                        SAXException

Throws:
  `TransformerConfigurationException`
  `SAXException`

Method Detail

### generateMapping

    public void generateMapping(DataDefinition dd,
                                org.hibernate.cfg.Configuration cfg)
                         throws TransformerConfigurationException,
                                SAXException

  Creates an xml file for the given DataDefinition and adds it to the configuration resource

  Parameters:
    `dd` - DataDefinition that needs to be mapped
    `cfg` - Configuration in which it will be used
  Throws:
    `TransformerConfigurationException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20